ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Xavier Hanin (JIRA)" <j...@apache.org>
Subject [jira] Commented: (IVYDE-80) ant-build triggers cause ivyde build exception
Date Tue, 26 Feb 2008 16:44:51 GMT

    [ https://issues.apache.org/jira/browse/IVYDE-80?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12572553#action_12572553
] 

Xavier Hanin commented on IVYDE-80:
-----------------------------------

OK, so I think this confirms this issue is related to ivy-core packaging, and should thus
be fixed in current trunk, where no Ivy version is packaged with IvyDE, which instead rely
on an OSGi dependency to find Ivy, which itself is provided as an OSGi bundle (Ivy releases
are actually OSGi bundles since recently). If you wish to test on your own, this requires
some more knowledge on eclipse, but shouldn't be too hard though. You just need to put Ivy
jar in your eclipse plugins directory, and IvyDE built from current trunk as well.

> ant-build triggers cause ivyde build exception
> ----------------------------------------------
>
>                 Key: IVYDE-80
>                 URL: https://issues.apache.org/jira/browse/IVYDE-80
>             Project: IvyDE
>          Issue Type: Bug
>    Affects Versions: 1.3.0
>         Environment: eclipse 3.3.1.1, openSuse 10.3
>            Reporter: Jonathan Doklovic
>
> If I have an ant-build trigger in my settings file, ivyde causes a parse error and tries
to throw an ant BuildException inside of eclipse.
> If I have an ant-call trigger, the parsing is fine, however it breaks my trigger (needs
to use ant-build)

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message